import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (l, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? v(r, s) : r, c = l.length - 1, p; c >= 0; c--)
    (p = l[c]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && f(r, s, e), e;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--employeeSearch", this.class = "c-pieIcon c-pieIcon--employeeSearch", this.name = "IconEmployeeSearch";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--employeeSearch"><path d="M7.125 7.125a3.062 3.062 0 1 0 0-6.125 3.062 3.062 0 0 0 0 6.125Zm0-4.813a1.75 1.75 0 1 1 0 3.5 1.75 1.75 0 0 1 0-3.5Zm4.813 5.47a2.852 2.852 0 0 0-2.844 2.843c.005.526.153 1.04.429 1.488l-1.925 1.925.927.962 1.925-1.925c.448.275.962.423 1.488.429a2.844 2.844 0 0 0 0-5.688v-.035Zm0 4.374a1.532 1.532 0 1 1 1.53-1.531 1.54 1.54 0 0 1-1.53 1.531Zm-4.06-2.625H5.856a2.826 2.826 0 0 0-2.704 1.811L2.48 13.25h-1.4l.875-2.345A4.139 4.139 0 0 1 5.89 8.219h2.66L7.878 9.53ZM1 13.582v-.096.105-.008Z"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  h("icon-employee-search")
], o);
export {
  o as IconEmployeeSearch
};
